<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<sounds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../shared/xml/schema/vehicle_sounds.xsd">

    <motorized>
		<sounds>
			<motor template="engineLarge" file="sounds/740.62_loop.gls" volumeScale="3.0">
				<volume indoor="1.0" outdoor="1.2" />
			</motor>
			<motor template="indoorCabinOldVehicle" />
            <motor template="transmissionTruck_01" volumeScale="1" pitchScale="0.6" linkNode="Most_s"/>
            <motor template="transmissionTruck_01" volumeScale="1" pitchScale="0.8" linkNode="Most_z"/>

            <motor template="fanModern_01" pitchScale="0.75" linkNodeOffset="0 1.5 4.5">
                <volume indoor="0.8" outdoor="1.5" />
            </motor>
			<motor file="$data/sounds/tools/trailer/trailerRattle_02.wav" innerRadius="10" outerRadius="50" volumeScale="1" isLocalSound="true" pitchScale="1.0">
                <volume indoor="2.0" outdoor="2.5" >
                    <modifier type="WHEEL_SUSPENSION" value="-0.05" modifiedValue="0.35"/>
                    <modifier type="WHEEL_SUSPENSION" value="-0.03" modifiedValue="0.25"/>
                    <modifier type="WHEEL_SUSPENSION" value="-0.00" modifiedValue="0.0"/>
                    <modifier type="WHEEL_SUSPENSION" value="0.03" modifiedValue="0.25"/>
                    <modifier type="WHEEL_SUSPENSION" value="0.05" modifiedValue="0.35"/>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0"/>
                    <modifier type="SPEED" value="2.0" modifiedValue="1.0"/>
                    <modifier type="SPEED" value="40.0" modifiedValue="1.0"/>
                </volume>
                <lowpassCutoffFrequency indoor="300" outdoor="20000" />
                <lowpassGain indoor="0.7" outdoor="1" />
            </motor>
 			<gearbox template="transmissionLarge" file="$data/sounds/vehicles/transmission/transmissionLoop01.ogg" pitchScale="0.3" volumeScale="0.5"/>
			<gearGroupLeverStart template="gearDisengaged"  volumeScale="2.5"/>
			<gearGroupLeverEnd template="gearEngaged"      volumeScale="2.5"/>
			<compressedAir template="compressedAir" volumeScale="2.5" />
			<airCompressorRun template="brakeCompressorLarge" volumeScale="2.5" />
			<airCompressorStop template="compressedAir" volumeScale="2.5" />
			<airRelease template="truckBrakeRegulatorValve" />
		</sounds>
   </motorized>

    <lights>
        <sounds>
            <toggleLights template="switch01"  />
            <turnLight template="switchTurnlight"  />
        </sounds>
    </lights>

    <enterable>
        <sounds>
            <rain template="rainInVehicle" linkNodeOffset="0.7 3 3.2">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="42.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="42" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="42" modifiedValue="1.0" />
                </pitch>
            </rain>
            <hail template="hailInVehicle" linkNodeOffset="0.7 3 3.2" volumeScale="1.5">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="60.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="60" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="60" modifiedValue="1.0" />
                </pitch>
            </hail>
        </sounds>
    </enterable>

    <attacherJoints>
        <sounds>
            <attach template="attach01" linkNode="0>19|0" volumeScale="1" />
            <hydraulic template="hydraulicClose02" />
        </sounds>
    </attacherJoints>

    <drivable>
        <sounds>
            <waterSplash template="waterSplash01" />
        </sounds>
    </drivable>

    <honk>
        <sound template="hornOxbo" linkNode="0>17|0|1" pitchScale="0.87" volumeScale="10" />
    </honk>
</sounds>
